Page MenuHomePhabricator

[Bug] There are two "more buttons" in the suggester
Closed, ResolvedPublic

Description

There are two "more buttons" in the suggester one is opening the

Steps to reproduce:

  • Add statement
  • Select 'instance of'
  • Type in German

If you click the second "more button" other suggesters are opening

Patches for review:

Details

Related Gerrit Patches:
data-values/value-view : masterBugfix release 0.18.2
data-values/value-view : masterRelease 0.18.1
data-values/value-view : masterDo not share ooMenu.options.customItems array between instances

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki added a subscriber: JanZerebecki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2015, 5:05 PM
JanZerebecki updated the task description. (Show Details)Feb 6 2015, 5:06 PM
JanZerebecki set Security to None.
Lydia_Pintscher triaged this task as High priority.Feb 6 2015, 5:07 PM

That more should probably simply not be there as that are all the available suggestions, when there are actually more suggestions you get two more buttons, the first one working normally.

Jonas renamed this task from more on autocomplete in claim value opens property autocomplete instead to [Bug] There are two "more buttons" in the suggester .Sep 10 2015, 2:35 PM
Jonas updated the task description. (Show Details)
Jonas added a project: Regression.
Nikki added a subscriber: Nikki.Jan 8 2017, 12:47 PM

The example given in the description does not reproduce it for me, but the following does (with the interface in English):

  • Load https://www.wikidata.org/wiki/Q4115189
  • Start adding a new statement
  • Type "f" in the property input field - one "more" is shown
  • Select "sex or gender"
  • Type "f" in the value input field - two "more"s are shown

You can continue to get even more:

  • Select "female"
  • Start adding a qualifier - two "more"s are shown
  • Type "f" in the property input field for the qualifier - three "more"s are shown
  • Select "sex or gender"
  • Type "f" in the value input field for the qualifier - four "more"s are shown
  • Select "female"
  • Start adding a reference - four "more"s are shown
  • Type "f" in the property input field for the reference - five "more"s are shown
  • Select "sex or gender"
  • Type "f" in the value input field for the reference - six "more"s are shown
  • Delete the qualifier
  • Delete the "f" in the reference value field, retype it - four "more"s are shown

It seems that there are as many "more"s as there are fields which had "more" shown for the user's search results, which is similar to the behaviour I reported in T146874 for the "No match was found" message.

Change 331606 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Do not share ooMenu.options.customItems array between instances

https://gerrit.wikimedia.org/r/331606

thiemowmde moved this task from ready to go to in progress on the Wikidata board.
thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde added subscribers: Jonas, aude, hoo.

Change 331606 merged by jenkins-bot:
Do not share ooMenu.options.customItems array between instances

https://gerrit.wikimedia.org/r/331606

thiemowmde lowered the priority of this task from High to Low.Jan 31 2017, 1:56 PM

Change 335433 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Release 0.19.0

https://gerrit.wikimedia.org/r/335433

thiemowmde updated the task description. (Show Details)Feb 1 2017, 11:57 AM

Change 335433 merged by jenkins-bot:
Release 0.18.1

https://gerrit.wikimedia.org/r/335433

Change 335484 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Bugfix release 0.18.2

https://gerrit.wikimedia.org/r/335484

thiemowmde updated the task description. (Show Details)Feb 1 2017, 7:45 PM

Change 335484 merged by jenkins-bot:
Bugfix release 0.18.2

https://gerrit.wikimedia.org/r/335484

thiemowmde closed this task as Resolved.Feb 2 2017, 9:14 AM
thiemowmde removed a project: Patch-For-Review.
thiemowmde updated the task description. (Show Details)
thiemowmde moved this task from Review to Done on the Wikidata-Former-Sprint-Board board.